Method: locations.workforcePools.subjects.revokeSessions

Revokes all sessions for the specified WorkforcePoolSubject. Revoking sessions invalidates all active sessions and previously issued credentials for the subject, requiring the user to re-authenticate with the identity provider.

HTTP request

POST https://iam.googleapis.com/v1/{name=locations/*/workforcePools/*/subjects/*}:revokeSessions

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
name

string

Required. The resource name of the WorkforcePoolSubject. Special characters, such as / and :, must be escaped, because all URLs must conform to the "When to Escape and Unescape" section of RFC 3986.

Format: locations/{location}/workforcePools/{workforcePoolId}/subjects/{subject_id}

Request body

The request body must be empty.

Response body

If successful, the response body contains an instance of Operation.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/iam

For more information, see the Authentication Overview.